Package com.google.android.exoplayer2

## Class MediaItem.PlaybackProperties

- java.lang.Object
- - com.google.android.exoplayer2.MediaItem.LocalConfiguration
  - - com.google.android.exoplayer2.MediaItem.PlaybackProperties

- Enclosing class:
    MediaItem

      @Deprecated
      public static final class MediaItem.PlaybackProperties
      extends MediaItem.LocalConfiguration

  Deprecated.
  Use `MediaItem.LocalConfiguration`.

- - ### Field Summary

    - ### Fields inherited from class com.google.android.exoplayer2.MediaItem.LocalConfiguration

      `adsConfiguration, customCacheKey, drmConfiguration, mimeType, streamKeys, subtitleConfigurations, subtitles, tag, uri`

  - ### Method Summary

    - ### Methods inherited from class com.google.android.exoplayer2.MediaItem.LocalConfiguration

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`